#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    int n,m,x,y;
    long long int sreca=0;
    long long int a[100000];
    cin>>n>>m;
    for(int i=1;i<=n;i++)
    {
        cin>>a[i];
    }
    for(int i=1;i<=m;i++)
    {
        cin>>x>>y;
        sreca+=abs(x*a[x])+abs(y*a[y]);
    }
    cout<<sreca;

}